/*
 * Created on 14.03.2005
 */
package net.sourceforge.ganttproject.io;

import java.io.IOException;
import java.io.OutputStream;

import javax.xml.transform.sax.TransformerHandler;

/**
 * @author bard
 */
public interface GPSaver {
    void save(OutputStream output) throws IOException;
    void save(TransformerHandler handler) throws IOException;
    
    GPSaver EMPTY = new GPSaver() {
        public void save(OutputStream output) throws IOException {
        }
        public void save(TransformerHandler handler) throws IOException {
        }
    };
}
